Unit Tde44e4_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, Fsc_p, DE44E_p;

function tde44e4: String;

implementation

function tde44e4: String;
var
M,IMAX,JSTARN,JSTART,INIAPR,K0,_i,NX,KP2,KP1,L,J :Integer;
H,XK,Q,X,XP :Extended;
DELY :Array [0..1] of Extended;
YT :Array [0..1] of Extended;
YX :Array [0..1] of Extended;
XJ0 :Array [0..13] of Extended;
AU :Array [0..31] of Extended;
AJK :Array [0..29] of Extended;
HD4I :Array [0..14] of Extended;
RABC :Array [0..13] of Extended;
ALP :Array [0..13] of Extended;
ALPN :Array [0..13] of Extended;
CMAR :Array [0..195] of Extended;
P :Array [0..103] of Extended;
S :Array [0..118] of Extended;
YP :Array [0..1] of Extended;
AJKP :Array [0..29] of Extended;
U :Array [0..27] of Extended;
ZFI :Array [0..33] of Extended;
const
K :Integer = 14;
label
_1,_2,_15,_20,_7;
begin
Result := '';  {   }
{  }
{        take into consideraitoin: all arraies dependent on K }
{               must be described for maximal value K }
{  }
M := 2;
Q := 0.5e0;
X := -4.e0/9.e0;
YX[0] := Cos(Q*(2.e0*X-1.e0))+1.e0;
YX[1] := Sin(Q*(2.e0*X-1.e0))+1.e0;
H := 1.e0/9.e0;
XK := X+H;
YT[0] := Cos(Q*(2.e0*XK-1.e0))+1.e0;
YT[1] := Sin(Q*(2.e0*XK-1.e0))+1.e0;
IMAX := 10;
JSTARN := 0;
JSTART := JSTARN;
INIAPR := 1;
K0 := 6;
DE44E(Fsc,M,K0,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI);
DELY[0] := YT[0]-YX[0];
DELY[1] := YT[1]-YX[1];
Result := Result + Format('%s',
 [#$0D#$0A + ' RESULTS AFTER THE FIRST CALL SUBROUTINE DE44E' + #$0D#$0A]);
Result := Result + Format(' XP=%30.18e      X=%30.18e ',
 [XP,X]) + #$0D#$0A;
Result := Result + Format(' H=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d    JSTART(INITIAL)=%1d ',
 [H,K0,INIAPR,IMAX,JSTARN]) + #$0D#$0A;
Result := Result + Format('%s',[' YX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' YT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELTA Y  =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
NX := 1;
goto _15;
{ _______________________________________ }
{  };
_1:
H := 1.e0/3.e0;
XK := X+H;
YT[0] := Cos(Q*(2.e0*XK-1.e0))+1.e0;
YT[1] := Sin(Q*(2.e0*XK-1.e0))+1.e0;
IMAX := 14;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  }
JSTART := JSTARN;
K0 := 8;
DE44E(Fsc,M,K0,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI);
DELY[0] := YT[0]-YX[0];
DELY[1] := YT[1]-YX[1];
Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
Result := Result + Format('%s',
 [#$0D#$0A + ' RESULTS AFTER THE SECOND CALL SUBROUTINE DE44E' + #$0D#$0A]);
Result := Result + Format(' XP=%30.18e      X=%30.18e ',
 [XP,X]) + #$0D#$0A;
Result := Result + Format(' H=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d    JSTART(INITIAL)=%1d ',
 [H,K0,INIAPR,IMAX,JSTARN]) + #$0D#$0A;
Result := Result + Format('%s',[' YX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' YT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELTA Y  =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
NX := 2;
goto _15;
{ ____________________________________ }
{  };
_2:
H := 1.e0;
XK := X+H;
YT[0] := Cos(Q*(2.e0*XK-1.e0))+1.e0;
YT[1] := Sin(Q*(2.e0*XK-1.e0))+1.e0;
IMAX := 17;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  }
JSTART := JSTARN;
K0 := 11;
DE44E(Fsc,M,K0,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI);
DELY[0] := YT[0]-YX[0];
DELY[1] := YT[1]-YX[1];
Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
Result := Result + Format('%s',
 [#$0D#$0A + ' RESULTS AFTER THE THIRD CALL SUBROUTINE DE44E' + #$0D#$0A]);
Result := Result + Format(' XP=%30.18e      X=%30.18e ',
 [XP,X]) + #$0D#$0A;
Result := Result + Format(' H=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d    JSTART(INITIAL)=%1d ',
 [H,K0,INIAPR,IMAX,JSTARN]) + #$0D#$0A;
Result := Result + Format('%s',[' YX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' YT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELTA Y  =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
{ _____________________________________ }
{  }
NX := 3;
_15:
KP2 := K0+2;
KP1 := K0+1;
Result := Result + Format(#$0D#$0A+' COEFFICIENTS AU AND AJK ON %3d ',
 [NX]);
Result := Result + Format('%s',['  SEGMENT  ']) + #$0D#$0A;
for L:=1 to M do
 begin
  Result := Result + Format('%s',
 ['--------------------------------------------------------------------------------' + #$0D#$0A]);
  Result := Result + Format('   Number of       Chebyshev coefficients for %1d ',
 [L]);
  Result := Result + Format('%s',
 [' component'+#$0D#$0A+'                          ------------------------------------------------------------------'+#$0D#$0A+' coefficient                     for Y                                            for Y'''+#$0D#$0A+' -------------------------------------------------------------------------------------------------']) + #$0D#$0A;
  for J:=1 to KP1 do
   begin
    Result := Result + Format('     %2d      %30.18e %30.18e ',
 [J-1,AU[(L-1)+(J-1)*2],AJK[(L-1)+(J-1)*2]]) + #$0D#$0A;
   end;
  Result := Result + Format('     %2d      %30.18e ',
 [KP1,AU[(L-1)+(KP2-1)*2]]) + #$0D#$0A;
_20:
 end;
case NX of
 1: goto _1;
 2: goto _2;
 3: goto _7;
end;
_7:
UtRes('tde44e4',Result);  {     tde44e4.res }
exit;
{  }
end;

end.
